package com.webchat.common.enums.messagequeue;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum MessageBroadChannelEnum {


    QUEUE_CHAT_MESSAGE("queue_chat_message", "聊天消息队列"),

    QUEUE_CHAT_NOTIFY("queue_chat_notify", "聊天消息通知"),

    QUEUE_CHAT_ROBOT("queue_chat_robot", "机器人对话消息队列"),

    ;

    private String channel;

    private String channelDesc;

}
