package com.webchat.domain.dto.queue;

import lombok.Data;

import java.util.UUID;

/**
 * Redis数据传输实体
 */
@Data
public class BaseQueueDTO {

    /**
     * 任务ID
     */
    private String taskId = UUID.randomUUID().toString().replaceAll("-", "");;

    /**
     * 被执行次数
     */
    private int retryTimes;

    /**
     * 重回队列的最大次数
     */
    private int backQueueTimes;
}