package com.webchat.domain.vo.request.mess;

import com.webchat.domain.dto.queue.BaseQueueDTO;
import com.webchat.domain.vo.response.UserBaseResponseInfoVO;
import lombok.Data;

/**
 * @Date: 10.9.22 11:38 下午
 */
@Data
public class MessageBaseVO extends BaseQueueDTO {

    /**
     * 当前用户ID
     */
    private String senderId;

    /**
     * 聊天对象用户ID
     */
    private String receiverId;

    /**
     * 代理用户（群聊真是消息发送用户）
     */
    private String proxySenderId;

    private UserBaseResponseInfoVO proxySender;

    /**
     * 消息文本正文
     */
    private String message;

    private Long time;

    /**
     * 类型
     */
    private Integer type = 1;
}
