package com.webchat.domain.vo.response;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 待审核的好友关系数据
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class WaitConfirmUserResponseVO {

    /**
     * 好友关系id
     */
    private Long relationId;

    /**
     * 待审核用户详情
     */
    private UserBaseResponseInfoVO user;
}
