package com.webchat.rmi.sso;


import com.webchat.common.bean.APIResponseBean;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "webchat-sso-service")
public interface OauthServiceClient {

    @GetMapping("/sso-service/oauth/userId/{oauthCode}")
    APIResponseBean<String> getUserIdByOauthCode(@PathVariable String oauthCode);
}
